KvsAll:
  label_smoothing: -0.17361994040496875
conve:
  convolution_bias: false
  entity_embedder:
    dropout: -0.03126845036454501
    regularize_weight: 2.1593057415241093e-08
  feature_map_dropout: 0.3318920246589899
  projection_dropout: 0.1498818066974686
  relation_embedder:
    dropout: 0.2266267972032251
    regularize_weight: 1.904578931336991e-10
  round_dim: true
dataset:
  name: wnrr
eval:
  batch_size: 256
  metrics_per:
    relation_type: true
  trace_level: example
import:
- conve
- reciprocal_relations_model
lookup_embedder:
  dim: 512
  initialize: xavier_normal_
  initialize_args:
    normal_:
      mean: 0.0
      std: 7.846665989552367e-05
    uniform_:
      a: -0.24193942744314623
    xavier_normal_:
      gain: 1.0
    xavier_uniform_:
      gain: 1.0
  regularize_args:
    p: 1
model: reciprocal_relations_model
negative_sampling:
  implementation: batch
  num_samples:
    p: -1
reciprocal_relations_model:
  base_model:
    entity_embedder:
      dim: 512
    relation_embedder:
      dim: 512
train:
  auto_correct: true
  batch_size: 1024
  loss_arg: 1.0
  lr_scheduler: ReduceLROnPlateau
  lr_scheduler_args:
    factor: 0.95
    mode: max
    patience: 1
    threshold: 0.0001
  max_epochs: 400
  optimizer: Adam
  optimizer_args:
    lr: 0.0016227612377289686
valid:
  early_stopping:
    min_threshold:
      epochs: 50
      metric_value: 0.05
    patience: 10

